## org.aspectj.weaver.tools
Class CommonsTraceFactory

    java.lang.Object
      org.aspectj.weaver.tools.TraceFactory
          org.aspectj.weaver.tools.CommonsTraceFactory

    public class CommonsTraceFactory

extends TraceFactory

Field Summary

Fields inherited from class org.aspectj.weaver.tools.TraceFactory
`debug, DEBUG_PROPERTY, DEFAULT_FACTORY_NAME, FACTORY_PROPERTY`

Constructor Summary
`CommonsTraceFactory()`

Method Summary
`Trace` `getTrace(java.lang.Class clazz)`

Methods inherited from class org.aspectj.weaver.tools.TraceFactory
`getBoolean, getTraceFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsTraceFactory

    public CommonsTraceFactory()

Method Detail

### getTrace

    public Trace getTrace(java.lang.Class clazz)

  Overrides:
    `getTrace` in class `TraceFactory`